summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-power/tlp/files/tlp.init')
-rw-r--r--sys-power/tlp/files/tlp.init28
1 files changed, 28 insertions, 0 deletions
diff --git a/sys-power/tlp/files/tlp.init b/sys-power/tlp/files/tlp.init
new file mode 100644
index 000000000000..f50de9029e7b
--- /dev/null
+++ b/sys-power/tlp/files/tlp.init
@@ -0,0 +1,28 @@
+#!/sbin/openrc-run
+command=/usr/sbin/tlp
+name="TLP"
+extra_started_commands="reload stat"
+
+depend() {
+ need udev
+}
+
+start() {
+ ebegin "Starting tlp..."
+ $command init start
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading tlp's configuration..."
+ $command start
+ eend $?
+}
+
+stop() {
+ elog "Reboot to stop tlp."
+}
+
+stat() {
+ /usr/bin/tlp-stat
+}